Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.script
Class FolderAdmin

    java.lang.Object
      oracle.ifs.admin.tools.script.FolderAdmin

    public class FolderAdmin

extends java.lang.Object

The `FolderAdmin.java` class - colleciton of Folder admin tasks test.

Field Summary
`protected java.util.Hashtable` | `m_folderTable`
`protected AdminManager` | `m_Main`

Constructor Summary
`FolderAdmin(AdminManager main)` The only constructor that is being used.

Method Summary
`void` | `addToFolder(LibrarySession sess, ParameterTable params)` Section variant of addToFolder
`void` | `createFolder(LibrarySession sess, ParameterTable params)` Section variant of Create Folder
`void` | `createFolder(LibrarySession sess, java.lang.String idname, FolderDefinition def)` internal variant of Create Folder
`void` | `createFolder(LibrarySession sess, java.lang.String idname, FolderDefinition def, VersionDescriptionDefinition vddef)` internal variant of VERSIONED Create Folder
`void` | `createFolder(LibrarySession sess, java.lang.String idname, java.lang.String nameToken)` inline variant of Create Folder
`void` | `deleteFolder(LibrarySession sess, ParameterTable params)` Section variant of delete Folder
`void` | `deleteFolder(LibrarySession sess, java.lang.String idname)` Inline/internal variant of Delete Folder
`void` | `deleteFolder(LibrarySession sess, java.lang.String idname, LibraryObjectDefinition def)` Inline/internal variant of Delete Folder
`void` | `freeFolder(LibrarySession sess, ParameterTable params)` Section variant of Free Folder
`void` | `freeFolder(LibrarySession sess, java.lang.String idname)` Inline/internal variant of Free Folder
`void` | `freeFolder(LibrarySession sess, java.lang.String idname, LibraryObjectDefinition def)` Inline/internal variant of Free Folder
`void` | `identifyFolder(LibrarySession sess, ParameterTable params)` Section variant of Identify Folder
`void` | `identifyFolder(LibrarySession sess, java.lang.String idname, java.lang.Long id, java.lang.String name, java.lang.String valueDefaultName, java.lang.String path, boolean isroot)` Inline/internal variant of Identify Folder
`Folder` | `lookupFolder(java.lang.String idname)`
`void` | `modifyFolder(LibrarySession sess, ParameterTable params)` Section variant of Modify Folder
`void` | `modifyFolder(LibrarySession sess, java.lang.String idname, FolderDefinition def)` internal variant of Modify Folder
`void` | `promoteFolder(LibrarySession sess, ParameterTable params)` Section variant of Promote Folder
`void` | `removeFromFolder(LibrarySession sess, ParameterTable params)` Section variant of removeFromFolder
`void` | `showFolder(LibrarySession sess, Folder folder)`
`void` | `showFolder(LibrarySession sess, ParameterTable params)` Section variant of showFolder
`void` | `showFolder(LibrarySession sess, java.lang.String foldername)` Inline/internal variant of showFolder
`protected void` | `simpleAddToFolder(LibrarySession sess, ParameterTable params)` Implements pathname based Add to folder.
`protected void` | `simpleMoveToFolder(LibrarySession sess, ParameterTable params)` Implements pathname based move to folder.
`protected void` | `simpleRemoveFromFolder(LibrarySession sess, ParameterTable params)` Implements pathname based remove from folder.
`void` | `undeleteFolder(LibrarySession sess, ParameterTable params)` Section variant of undelete Folder
`void` | `undeleteFolder(LibrarySession sess, java.lang.String idname)` Inline/internal variant of Undelete Folder
`void` | `undeleteFolder(LibrarySession sess, java.lang.String idname, LibraryObjectDefinition def)` Inline/internal variant of Undelete Folder
`void` | `unidentifyFolder(LibrarySession sess, ParameterTable params)` Section variant of Unidentify Folder

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_Main

    protected AdminManager m_Main

### m_folderTable

    protected java.util.Hashtable m_folderTable

Constructor Detail

### FolderAdmin

    public FolderAdmin(AdminManager main)

  The only constructor that is being used.

  Parameters:
    `main` - Reference to AdminManager which invokes this.

Method Detail

### createFolder

    public void createFolder(LibrarySession sess,
                             ParameterTable params)
                      throws IfsException

  Description copied from class: `FolderAdmin`
  Section variant of Create Folder

  Throws:
    `IfsException`

### createFolder

    public void createFolder(LibrarySession sess,
                             java.lang.String idname,
                             java.lang.String nameToken)
                      throws IfsException

  Description copied from class: `FolderAdmin`
  inline variant of Create Folder

  Throws:
    `IfsException`

### createFolder

    public void createFolder(LibrarySession sess,
                             java.lang.String idname,
                             FolderDefinition def)
                      throws IfsException

  Description copied from class: `FolderAdmin`
  internal variant of Create Folder

  Throws:
    `IfsException`

### createFolder

    public void createFolder(LibrarySession sess,
                             java.lang.String idname,
                             FolderDefinition def,
                             VersionDescriptionDefinition vddef)
                      throws IfsException

  Description copied from class: `FolderAdmin`
  internal variant of VERSIONED Create Folder

  Throws:
    `IfsException`

### modifyFolder

    public void modifyFolder(LibrarySession sess,
                             ParameterTable params)
                      throws IfsException

  Description copied from class: `FolderAdmin`
  Section variant of Modify Folder

  Throws:
    `IfsException`

### modifyFolder

    public void modifyFolder(LibrarySession sess,
                             java.lang.String idname,
                             FolderDefinition def)
                      throws IfsException

  Description copied from class: `FolderAdmin`
  internal variant of Modify Folder

  Throws:
    `IfsException`

### freeFolder

    public void freeFolder(LibrarySession sess,
                           ParameterTable params)
                    throws IfsException

  Description copied from class: `FolderAdmin`
  Section variant of Free Folder

  Throws:
    `IfsException`

### freeFolder

    public void freeFolder(LibrarySession sess,
                           java.lang.String idname)
                    throws IfsException

  Description copied from class: `FolderAdmin`
  Inline/internal variant of Free Folder

  Throws:
    `IfsException`

### freeFolder

    public void freeFolder(LibrarySession sess,
                           java.lang.String idname,
                           LibraryObjectDefinition def)
                    throws IfsException

  Description copied from class: `FolderAdmin`
  Inline/internal variant of Free Folder

  Throws:
    `IfsException`

### deleteFolder

    public void deleteFolder(LibrarySession sess,
                             ParameterTable params)
                      throws IfsException

  Description copied from class: `FolderAdmin`
  Section variant of delete Folder

  Throws:
    `IfsException`

### deleteFolder

    public void deleteFolder(LibrarySession sess,
                             java.lang.String idname)
                      throws IfsException

  Description copied from class: `FolderAdmin`
  Inline/internal variant of Delete Folder

  Throws:
    `IfsException`

### deleteFolder

    public void deleteFolder(LibrarySession sess,
                             java.lang.String idname,
                             LibraryObjectDefinition def)
                      throws IfsException

  Description copied from class: `FolderAdmin`
  Inline/internal variant of Delete Folder

  Throws:
    `IfsException`

### undeleteFolder

    public void undeleteFolder(LibrarySession sess,
                               ParameterTable params)
                        throws IfsException

  Description copied from class: `FolderAdmin`
  Section variant of undelete Folder

  Throws:
    `IfsException`

### undeleteFolder

    public void undeleteFolder(LibrarySession sess,
                               java.lang.String idname)
                        throws IfsException

  Description copied from class: `FolderAdmin`
  Inline/internal variant of Undelete Folder

  Throws:
    `IfsException`

### undeleteFolder

    public void undeleteFolder(LibrarySession sess,
                               java.lang.String idname,
                               LibraryObjectDefinition def)
                        throws IfsException

  Description copied from class: `FolderAdmin`
  Inline/internal variant of Undelete Folder

  Throws:
    `IfsException`

### promoteFolder

    public void promoteFolder(LibrarySession sess,
                              ParameterTable params)
                       throws IfsException

  Description copied from class: `FolderAdmin`
  Section variant of Promote Folder

  Throws:
    `IfsException`

### addToFolder

    public void addToFolder(LibrarySession sess,
                            ParameterTable params)
                     throws IfsException

  Description copied from class: `FolderAdmin`
  Section variant of addToFolder

  Throws:
    `IfsException`

### removeFromFolder

    public void removeFromFolder(LibrarySession sess,
                                 ParameterTable params)
                          throws IfsException

  Description copied from class: `FolderAdmin`
  Section variant of removeFromFolder

  Throws:
    `IfsException`

### identifyFolder

    public void identifyFolder(LibrarySession sess,
                               ParameterTable params)
                        throws IfsException

  Description copied from class: `FolderAdmin`
  Section variant of Identify Folder

  Throws:
    `IfsException`

### identifyFolder

    public void identifyFolder(LibrarySession sess,
                               java.lang.String idname,
                               java.lang.Long id,
                               java.lang.String name,
                               java.lang.String valueDefaultName,
                               java.lang.String path,
                               boolean isroot)
                        throws IfsException

  Description copied from class: `FolderAdmin`
  Inline/internal variant of Identify Folder

  Throws:
    `IfsException`

### unidentifyFolder

    public void unidentifyFolder(LibrarySession sess,
                                 ParameterTable params)
                          throws IfsException

  Description copied from class: `FolderAdmin`
  Section variant of Unidentify Folder

  Throws:
    `IfsException`

### showFolder

    public void showFolder(LibrarySession sess,
                           ParameterTable params)
                    throws IfsException

  Description copied from class: `FolderAdmin`
  Section variant of showFolder

  Throws:
    `IfsException`

### showFolder

    public void showFolder(LibrarySession sess,
                           java.lang.String foldername)
                    throws IfsException

  Description copied from class: `FolderAdmin`
  Inline/internal variant of showFolder

  Throws:
    `IfsException`

### lookupFolder

    public Folder lookupFolder(java.lang.String idname)
                        throws IfsException

  Throws:
    `IfsException`

### showFolder

    public void showFolder(LibrarySession sess,
                           Folder folder)
                    throws IfsException

  Throws:
    `IfsException`

### simpleAddToFolder

    protected void simpleAddToFolder(LibrarySession sess,
                                     ParameterTable params)
                              throws IfsException

  Description copied from class: `FolderAdmin`
  Implements pathname based Add to folder. Part of Simplified Admin utility tasks.

  Parameters:
    `sess` - LibrarySession reference to the curret Session.
    `params` - ParameterTable Parameters table.
  Throws:
    `IfsException` - if the operation fails

### simpleRemoveFromFolder

    protected void simpleRemoveFromFolder(LibrarySession sess,
                                          ParameterTable params)
                                   throws IfsException

  Description copied from class: `FolderAdmin`
  Implements pathname based remove from folder. Part of Simplified Admin utility tasks.

  Parameters:
    `sess` - LibrarySession reference to the curret Session.
    `params` - ParameterTable Parameters table.
  Throws:
    `IfsException` - if the operation fails

### simpleMoveToFolder

    protected void simpleMoveToFolder(LibrarySession sess,
                                      ParameterTable params)
                               throws IfsException

  Description copied from class: `FolderAdmin`
  Implements pathname based move to folder. Part of Simplified Admin utility tasks.

  Parameters:
    `sess` - LibrarySession reference to the curret Session.
    `params` - ParameterTable Parameters table.
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD